// D import file generated from 'derelict/glfw3/glfw3.d'
module derelict.glfw3.glfw3;
private 
{
	import derelict.util.loader;
	import derelict.util.system;
	static if (Derelict_OS_Windows)
	{
		enum libNames = "glfw3.dll";
	}
	else
	{
		static if (Derelict_OS_Mac)
		{
			enum libNames = "libglfw.3.dylib,libglfw3.dylib";
		}
		else
		{
			static if (Derelict_OS_Posix)
			{
				enum libNames = "libglfw3.so,libglfw.so.3,/usr/local/lib/libglfw3.so,/usr/local/lib/libglfw.so.3";
			}
			else
			{
				static assert(0, "Need to implement GLFW libNames for this operating system.");
			}
		}
	}
}
enum 
{
	GLFW_VERSION_MAJOR = 3,
	GLFW_VERSION_MINOR = 1,
	GLFW_VERSION_REVISION = 0,
}
enum 
{
	GLFW_RELEASE = 0,
	GLFW_PRESS = 1,
	GLFW_REPEAT = 2,
}
enum 
{
	GLFW_KEY_UNKNOWN = -1,
	GLFW_KEY_SPACE = 32,
	GLFW_KEY_APOSTROPHE = 39,
	GLFW_KEY_COMMA = 44,
	GLFW_KEY_MINUS = 45,
	GLFW_KEY_PERIOD = 46,
	GLFW_KEY_SLASH = 47,
	GLFW_KEY_0 = 48,
	GLFW_KEY_1 = 49,
	GLFW_KEY_2 = 50,
	GLFW_KEY_3 = 51,
	GLFW_KEY_4 = 52,
	GLFW_KEY_5 = 53,
	GLFW_KEY_6 = 54,
	GLFW_KEY_7 = 55,
	GLFW_KEY_8 = 56,
	GLFW_KEY_9 = 57,
	GLFW_KEY_SEMICOLON = 59,
	GLFW_KEY_EQUAL = 61,
	GLFW_KEY_A = 65,
	GLFW_KEY_B = 66,
	GLFW_KEY_C = 67,
	GLFW_KEY_D = 68,
	GLFW_KEY_E = 69,
	GLFW_KEY_F = 70,
	GLFW_KEY_G = 71,
	GLFW_KEY_H = 72,
	GLFW_KEY_I = 73,
	GLFW_KEY_J = 74,
	GLFW_KEY_K = 75,
	GLFW_KEY_L = 76,
	GLFW_KEY_M = 77,
	GLFW_KEY_N = 78,
	GLFW_KEY_O = 79,
	GLFW_KEY_P = 80,
	GLFW_KEY_Q = 81,
	GLFW_KEY_R = 82,
	GLFW_KEY_S = 83,
	GLFW_KEY_T = 84,
	GLFW_KEY_U = 85,
	GLFW_KEY_V = 86,
	GLFW_KEY_W = 87,
	GLFW_KEY_X = 88,
	GLFW_KEY_Y = 89,
	GLFW_KEY_Z = 90,
	GLFW_KEY_LEFT_BRACKET = 91,
	GLFW_KEY_BACKSLASH = 92,
	GLFW_KEY_RIGHT_BRACKET = 93,
	GLFW_KEY_GRAVE_ACCENT = 96,
	GLFW_KEY_WORLD_1 = 161,
	GLFW_KEY_WORLD_2 = 162,
	GLFW_KEY_ESCAPE = 256,
	GLFW_KEY_ENTER = 257,
	GLFW_KEY_TAB = 258,
	GLFW_KEY_BACKSPACE = 259,
	GLFW_KEY_INSERT = 260,
	GLFW_KEY_DELETE = 261,
	GLFW_KEY_RIGHT = 262,
	GLFW_KEY_LEFT = 263,
	GLFW_KEY_DOWN = 264,
	GLFW_KEY_UP = 265,
	GLFW_KEY_PAGE_UP = 266,
	GLFW_KEY_PAGE_DOWN = 267,
	GLFW_KEY_HOME = 268,
	GLFW_KEY_END = 269,
	GLFW_KEY_CAPS_LOCK = 280,
	GLFW_KEY_SCROLL_LOCK = 281,
	GLFW_KEY_NUM_LOCK = 282,
	GLFW_KEY_PRINT_SCREEN = 283,
	GLFW_KEY_PAUSE = 284,
	GLFW_KEY_F1 = 290,
	GLFW_KEY_F2 = 291,
	GLFW_KEY_F3 = 292,
	GLFW_KEY_F4 = 293,
	GLFW_KEY_F5 = 294,
	GLFW_KEY_F6 = 295,
	GLFW_KEY_F7 = 296,
	GLFW_KEY_F8 = 297,
	GLFW_KEY_F9 = 298,
	GLFW_KEY_F10 = 299,
	GLFW_KEY_F11 = 300,
	GLFW_KEY_F12 = 301,
	GLFW_KEY_F13 = 302,
	GLFW_KEY_F14 = 303,
	GLFW_KEY_F15 = 304,
	GLFW_KEY_F16 = 305,
	GLFW_KEY_F17 = 306,
	GLFW_KEY_F18 = 307,
	GLFW_KEY_F19 = 308,
	GLFW_KEY_F20 = 309,
	GLFW_KEY_F21 = 310,
	GLFW_KEY_F22 = 311,
	GLFW_KEY_F23 = 312,
	GLFW_KEY_F24 = 313,
	GLFW_KEY_F25 = 314,
	GLFW_KEY_KP_0 = 320,
	GLFW_KEY_KP_1 = 321,
	GLFW_KEY_KP_2 = 322,
	GLFW_KEY_KP_3 = 323,
	GLFW_KEY_KP_4 = 324,
	GLFW_KEY_KP_5 = 325,
	GLFW_KEY_KP_6 = 326,
	GLFW_KEY_KP_7 = 327,
	GLFW_KEY_KP_8 = 328,
	GLFW_KEY_KP_9 = 329,
	GLFW_KEY_KP_DECIMAL = 330,
	GLFW_KEY_KP_DIVIDE = 331,
	GLFW_KEY_KP_MULTIPLY = 332,
	GLFW_KEY_KP_SUBTRACT = 333,
	GLFW_KEY_KP_ADD = 334,
	GLFW_KEY_KP_ENTER = 335,
	GLFW_KEY_KP_EQUAL = 336,
	GLFW_KEY_LEFT_SHIFT = 340,
	GLFW_KEY_LEFT_CONTROL = 341,
	GLFW_KEY_LEFT_ALT = 342,
	GLFW_KEY_LEFT_SUPER = 343,
	GLFW_KEY_RIGHT_SHIFT = 344,
	GLFW_KEY_RIGHT_CONTROL = 345,
	GLFW_KEY_RIGHT_ALT = 346,
	GLFW_KEY_RIGHT_SUPER = 347,
	GLFW_KEY_MENU = 348,
	GLFW_KEY_LAST = GLFW_KEY_MENU,
	GLFW_KEY_ESC = GLFW_KEY_ESCAPE,
	GLFW_KEY_DEL = GLFW_KEY_DELETE,
	GLFW_KEY_PAGEUP = GLFW_KEY_PAGE_UP,
	GLFW_KEY_PAGEDOWN = GLFW_KEY_PAGE_DOWN,
	GLFW_KEY_KP_NUM_LOCK = GLFW_KEY_NUM_LOCK,
	GLFW_KEY_LCTRL = GLFW_KEY_LEFT_CONTROL,
	GLFW_KEY_LSHIFT = GLFW_KEY_LEFT_SHIFT,
	GLFW_KEY_LALT = GLFW_KEY_LEFT_ALT,
	GLFW_KEY_LSUPER = GLFW_KEY_LEFT_SUPER,
	GLFW_KEY_RCTRL = GLFW_KEY_RIGHT_CONTROL,
	GLFW_KEY_RSHIFT = GLFW_KEY_RIGHT_SHIFT,
	GLFW_KEY_RALT = GLFW_KEY_RIGHT_ALT,
	GLFW_KEY_RSUPER = GLFW_KEY_RIGHT_SUPER,
	GLFW_MOD_SHIFT = 1,
	GLFW_MOD_CONTROL = 2,
	GLFW_MOD_ALT = 4,
	GLFW_MOD_SUPER = 8,
	GLFW_MOUSE_BUTTON_1 = 0,
	GLFW_MOUSE_BUTTON_2 = 1,
	GLFW_MOUSE_BUTTON_3 = 2,
	GLFW_MOUSE_BUTTON_4 = 3,
	GLFW_MOUSE_BUTTON_5 = 4,
	GLFW_MOUSE_BUTTON_6 = 5,
	GLFW_MOUSE_BUTTON_7 = 6,
	GLFW_MOUSE_BUTTON_8 = 7,
	GLFW_MOUSE_BUTTON_LAST = GLFW_MOUSE_BUTTON_8,
	GLFW_MOUSE_BUTTON_LEFT = GLFW_MOUSE_BUTTON_1,
	GLFW_MOUSE_BUTTON_RIGHT = GLFW_MOUSE_BUTTON_2,
	GLFW_MOUSE_BUTTON_MIDDLE = GLFW_MOUSE_BUTTON_3,
	GLFW_JOYSTICK_1 = 0,
	GLFW_JOYSTICK_2 = 1,
	GLFW_JOYSTICK_3 = 2,
	GLFW_JOYSTICK_4 = 3,
	GLFW_JOYSTICK_5 = 4,
	GLFW_JOYSTICK_6 = 5,
	GLFW_JOYSTICK_7 = 6,
	GLFW_JOYSTICK_8 = 7,
	GLFW_JOYSTICK_9 = 8,
	GLFW_JOYSTICK_10 = 9,
	GLFW_JOYSTICK_11 = 10,
	GLFW_JOYSTICK_12 = 11,
	GLFW_JOYSTICK_13 = 12,
	GLFW_JOYSTICK_14 = 13,
	GLFW_JOYSTICK_15 = 14,
	GLFW_JOYSTICK_16 = 15,
	GLFW_JOYSTICK_LAST = GLFW_JOYSTICK_16,
}
enum 
{
	GLFW_NOT_INITIALIZED = 65537,
	GLFW_NO_CURRENT_CONTEXT = 65538,
	GLFW_INVALID_ENUM = 65539,
	GLFW_INVALID_VALUE = 65540,
	GLFW_OUT_OF_MEMORY = 65541,
	GLFW_API_UNAVAILABLE = 65542,
	GLFW_VERSION_UNAVAILABLE = 65543,
	GLFW_PLATFORM_ERROR = 65544,
	GLFW_FORMAT_UNAVAILABLE = 65545,
	GLFW_FOCUSED = 131073,
	GLFW_ICONIFIED = 131074,
	GLFW_RESIZABLE = 131075,
	GLFW_VISIBLE = 131076,
	GLFW_DECORATED = 131077,
	GLFW_AUTO_ICONIFY = 131078,
	GLFW_FLOATING = 131079,
	GLFW_RED_BITS = 135169,
	GLFW_GREEN_BITS = 135170,
	GLFW_BLUE_BITS = 135171,
	GLFW_ALPHA_BITS = 135172,
	GLFW_DEPTH_BITS = 135173,
	GLFW_STENCIL_BITS = 135174,
	GLFW_ACCUM_RED_BITS = 135175,
	GLFW_ACCUM_GREEN_BITS = 135176,
	GLFW_ACCUM_BLUE_BITS = 135177,
	GLFW_ACCUM_ALPHA_BITS = 135178,
	GLFW_AUX_BUFFERS = 135179,
	GLFW_STEREO = 135180,
	GLFW_SAMPLES = 135181,
	GLFW_SRGB_CAPABLE = 135182,
	GLFW_REFRESH_RATE = 135183,
	GLFW_DOUBLEBUFFER = 135184,
	GLFW_CLIENT_API = 139265,
	GLFW_CONTEXT_VERSION_MAJOR = 139266,
	GLFW_CONTEXT_VERSION_MINOR = 139267,
	GLFW_CONTEXT_REVISION = 139268,
	GLFW_CONTEXT_ROBUSTNESS = 139269,
	GLFW_OPENGL_FORWARD_COMPAT = 139270,
	GLFW_OPENGL_DEBUG_CONTEXT = 139271,
	GLFW_OPENGL_PROFILE = 139272,
	GLFW_CONTEXT_RELEASE_BEHAVIOR = 139273,
	GLFW_OPENGL_API = 196609,
	GLFW_OPENGL_ES_API = 196610,
	GLFW_NO_ROBUSTNESS = 0,
	GLFW_NO_RESET_NOTIFICATION = 200705,
	GLFW_LOSE_CONTEXT_ON_RESET = 200706,
	GLFW_OPENGL_ANY_PROFILE = 0,
	GLFW_OPENGL_CORE_PROFILE = 204801,
	GLFW_OPENGL_COMPAT_PROFILE = 204802,
	GLFW_CURSOR = 208897,
	GLFW_STICKY_KEYS = 208898,
	GLFW_STICKY_MOUSE_BUTTONS = 208899,
	GLFW_CURSOR_NORMAL = 212993,
	GLFW_CURSOR_HIDDEN = 212994,
	GLFW_CURSOR_DISABLED = 212995,
	GLFW_ANY_RELEASE_BEHAVIOR = 0,
	GLFW_RELEASE_BEHAVIOR_FLUSH = 217089,
	GLFW_RELEASE_BEHAVIOR_NONE = 217090,
	GLFW_ARROW_CURSOR = 221185,
	GLFW_IBEAM_CURSOR = 221186,
	GLFW_CROSSHAIR_CURSOR = 221187,
	GLFW_HAND_CURSOR = 221188,
	GLFW_HRESIZE_CURSOR = 221189,
	GLFW_VRESIZE_CURSOR = 221190,
	GLFW_CONNECTED = 262145,
	GLFW_DISCONNECTED = 262146,
	GLFW_DONT_CARE = -1,
}
extern (C) alias GLFWglproc = nothrow @nogc void function();
struct GLFWmonitor;
struct GLFWwindow;
struct GLFWcursor;
extern (C) nothrow 
{
	alias GLFWerrorfun = void function(int, const(char)*);
	alias GLFWwindowposfun = void function(GLFWwindow*, int, int);
	alias GLFWwindowsizefun = void function(GLFWwindow*, int, int);
	alias GLFWwindowclosefun = void function(GLFWwindow*);
	alias GLFWwindowrefreshfun = void function(GLFWwindow*);
	alias GLFWwindowfocusfun = void function(GLFWwindow*, int);
	alias GLFWwindowiconifyfun = void function(GLFWwindow*, int);
	alias GLFWframebuffersizefun = void function(GLFWwindow*, int, int);
	alias GLFWmousebuttonfun = void function(GLFWwindow*, int, int, int);
	alias GLFWcursorposfun = void function(GLFWwindow*, double, double);
	alias GLFWcursorenterfun = void function(GLFWwindow*, int);
	alias GLFWscrollfun = void function(GLFWwindow*, double, double);
	alias GLFWkeyfun = void function(GLFWwindow*, int, int, int, int);
	alias GLFWcharfun = void function(GLFWwindow*, uint);
	alias GLFWcharmodsfun = void function(GLFWwindow*, uint, int);
	alias GLFWdropfun = void function(GLFWwindow*, int, const(char*)*);
	alias GLFWmonitorfun = void function(GLFWmonitor*, int);
}
struct GLFWvidmode
{
	int width;
	int height;
	int redBits;
	int greenBits;
	int blueBits;
	int refreshRate;
}
struct GLFWgammaramp
{
	ushort* red;
	ushort* green;
	ushort* blue;
	uint size;
}
struct GLFWimage
{
	int width;
	int height;
	ubyte* pixels;
}
extern (C) nothrow @nogc 
{
	alias da_glfwInit = int function();
	alias da_glfwTerminate = void function();
	alias da_glfwGetVersion = void function(int*, int*, int*);
	alias da_glfwGetVersionString = const(char)* function();
	alias da_glfwSetErrorCallback = GLFWerrorfun function(GLFWerrorfun);
	alias da_glfwGetMonitors = GLFWmonitor** function(int*);
	alias da_glfwGetPrimaryMonitor = GLFWmonitor* function();
	alias da_glfwGetMonitorPos = void function(GLFWmonitor*, int*, int*);
	alias da_glfwGetMonitorPhysicalSize = void function(GLFWmonitor*, int*, int*);
	alias da_glfwGetMonitorName = const(char)* function(GLFWmonitor*);
	alias da_glfwSetMonitorCallback = GLFWmonitorfun function(GLFWmonitorfun);
	alias da_glfwGetVideoModes = const(GLFWvidmode)* function(GLFWmonitor*, int*);
	alias da_glfwGetVideoMode = const(GLFWvidmode)* function(GLFWmonitor*);
	alias da_glfwSetGamma = void function(GLFWmonitor*, float);
	alias da_glfwGetGammaRamp = const(GLFWgammaramp*) function(GLFWmonitor*);
	alias da_glfwSetGammaRamp = void function(GLFWmonitor*, const(GLFWgammaramp)*);
	alias da_glfwDefaultWindowHints = void function();
	alias da_glfwWindowHint = void function(int, int);
	alias da_glfwCreateWindow = GLFWwindow* function(int, int, const(char)*, GLFWmonitor*, GLFWwindow*);
	alias da_glfwDestroyWindow = void function(GLFWwindow*);
	alias da_glfwWindowShouldClose = int function(GLFWwindow*);
	alias da_glfwSetWindowShouldClose = void function(GLFWwindow*, int);
	alias da_glfwSetWindowTitle = void function(GLFWwindow*, const(char)*);
	alias da_glfwGetWindowPos = void function(GLFWwindow*, int*, int*);
	alias da_glfwSetWindowPos = void function(GLFWwindow*, int, int);
	alias da_glfwGetWindowSize = void function(GLFWwindow*, int*, int*);
	alias da_glfwSetWindowSize = void function(GLFWwindow*, int, int);
	alias da_glfwGetFramebufferSize = void function(GLFWwindow*, int*, int*);
	alias da_glfwGetWindowFrameSize = void function(GLFWwindow*, int*, int*, int*, int*);
	alias da_glfwIconifyWindow = void function(GLFWwindow*);
	alias da_glfwRestoreWindow = void function(GLFWwindow*);
	alias da_glfwShowWindow = void function(GLFWwindow*);
	alias da_glfwHideWindow = void function(GLFWwindow*);
	alias da_glfwGetWindowMonitor = GLFWmonitor* function(GLFWwindow*);
	alias da_glfwGetWindowAttrib = int function(GLFWwindow*, int);
	alias da_glfwSetWindowUserPointer = void function(GLFWwindow*, void*);
	alias da_glfwGetWindowUserPointer = void* function(GLFWwindow*);
	alias da_glfwSetWindowPosCallback = GLFWwindowposfun function(GLFWwindow*, GLFWwindowposfun);
	alias da_glfwSetWindowSizeCallback = GLFWwindowsizefun function(GLFWwindow*, GLFWwindowsizefun);
	alias da_glfwSetWindowCloseCallback = GLFWwindowclosefun function(GLFWwindow*, GLFWwindowclosefun);
	alias da_glfwSetWindowRefreshCallback = GLFWwindowrefreshfun function(GLFWwindow*, GLFWwindowrefreshfun);
	alias da_glfwSetWindowFocusCallback = GLFWwindowfocusfun function(GLFWwindow*, GLFWwindowfocusfun);
	alias da_glfwSetWindowIconifyCallback = GLFWwindowiconifyfun function(GLFWwindow*, GLFWwindowiconifyfun);
	alias da_glfwSetFramebufferSizeCallback = GLFWframebuffersizefun function(GLFWwindow*, GLFWframebuffersizefun);
	alias da_glfwPollEvents = void function();
	alias da_glfwWaitEvents = void function();
	alias da_glfwPostEmptyEvent = void function();
	alias da_glfwGetInputMode = int function(GLFWwindow*, int);
	alias da_glfwSetInputMode = void function(GLFWwindow*, int, int);
	alias da_glfwGetKey = int function(GLFWwindow*, int);
	alias da_glfwGetMouseButton = int function(GLFWwindow*, int);
	alias da_glfwGetCursorPos = void function(GLFWwindow*, double*, double*);
	alias da_glfwSetCursorPos = void function(GLFWwindow*, double, double);
	alias da_glfwCreateCursor = GLFWcursor* function(const(GLFWimage)*, int, int);
	alias da_glfwCreateStandardCursor = GLFWcursor* function(int);
	alias da_glfwDestroyCursor = void function(GLFWcursor*);
	alias da_glfwSetCursor = void function(GLFWwindow*, GLFWcursor*);
	alias da_glfwSetKeyCallback = GLFWkeyfun function(GLFWwindow*, GLFWkeyfun);
	alias da_glfwSetCharCallback = GLFWcharfun function(GLFWwindow*, GLFWcharfun);
	alias da_glfwSetCharModsCallback = GLFWcharmodsfun function(GLFWwindow*, GLFWcharmodsfun);
	alias da_glfwSetMouseButtonCallback = GLFWmousebuttonfun function(GLFWwindow*, GLFWmousebuttonfun);
	alias da_glfwSetCursorPosCallback = GLFWcursorposfun function(GLFWwindow*, GLFWcursorposfun);
	alias da_glfwSetCursorEnterCallback = GLFWcursorenterfun function(GLFWwindow*, GLFWcursorenterfun);
	alias da_glfwSetScrollCallback = GLFWscrollfun function(GLFWwindow*, GLFWscrollfun);
	alias da_glfwSetDropCallback = GLFWdropfun function(GLFWwindow*, GLFWdropfun);
	alias da_glfwJoystickPresent = int function(int);
	alias da_glfwGetJoystickAxes = float* function(int, int*);
	alias da_glfwGetJoystickButtons = ubyte* function(int, int*);
	alias da_glfwGetJoystickName = const(char)* function(int);
	alias da_glfwSetClipboardString = void function(GLFWwindow*, const(char)*);
	alias da_glfwGetClipboardString = const(char)* function(GLFWwindow*);
	alias da_glfwGetTime = double function();
	alias da_glfwSetTime = void function(double);
	alias da_glfwMakeContextCurrent = void function(GLFWwindow*);
	alias da_glfwGetCurrentContext = GLFWwindow* function();
	alias da_glfwSwapBuffers = void function(GLFWwindow*);
	alias da_glfwSwapInterval = void function(int);
	alias da_glfwExtensionSupported = int function(const(char)*);
	alias da_glfwGetProcAddress = GLFWglproc function(const(char)*);
}
__gshared 
{
	da_glfwInit glfwInit;
	da_glfwTerminate glfwTerminate;
	da_glfwGetVersion glfwGetVersion;
	da_glfwGetVersionString glfwGetVersionString;
	da_glfwSetErrorCallback glfwSetErrorCallback;
	da_glfwGetMonitors glfwGetMonitors;
	da_glfwGetPrimaryMonitor glfwGetPrimaryMonitor;
	da_glfwGetMonitorPos glfwGetMonitorPos;
	da_glfwGetMonitorPhysicalSize glfwGetMonitorPhysicalSize;
	da_glfwGetMonitorName glfwGetMonitorName;
	da_glfwSetMonitorCallback glfwSetMonitorCallback;
	da_glfwGetVideoModes glfwGetVideoModes;
	da_glfwGetVideoMode glfwGetVideoMode;
	da_glfwSetGamma glfwSetGamma;
	da_glfwGetGammaRamp glfwGetGammaRamp;
	da_glfwSetGammaRamp glfwSetGammaRamp;
	da_glfwDefaultWindowHints glfwDefaultWindowHints;
	da_glfwWindowHint glfwWindowHint;
	da_glfwCreateWindow glfwCreateWindow;
	da_glfwDestroyWindow glfwDestroyWindow;
	da_glfwWindowShouldClose glfwWindowShouldClose;
	da_glfwSetWindowShouldClose glfwSetWindowShouldClose;
	da_glfwSetWindowTitle glfwSetWindowTitle;
	da_glfwGetWindowPos glfwGetWindowPos;
	da_glfwSetWindowPos glfwSetWindowPos;
	da_glfwGetWindowSize glfwGetWindowSize;
	da_glfwSetWindowSize glfwSetWindowSize;
	da_glfwGetFramebufferSize glfwGetFramebufferSize;
	da_glfwGetWindowFrameSize glfwGetWindowFrameSize;
	da_glfwIconifyWindow glfwIconifyWindow;
	da_glfwRestoreWindow glfwRestoreWindow;
	da_glfwShowWindow glfwShowWindow;
	da_glfwHideWindow glfwHideWindow;
	da_glfwGetWindowMonitor glfwGetWindowMonitor;
	da_glfwGetWindowAttrib glfwGetWindowAttrib;
	da_glfwSetWindowUserPointer glfwSetWindowUserPointer;
	da_glfwGetWindowUserPointer glfwGetWindowUserPointer;
	da_glfwSetWindowPosCallback glfwSetWindowPosCallback;
	da_glfwSetWindowSizeCallback glfwSetWindowSizeCallback;
	da_glfwSetWindowCloseCallback glfwSetWindowCloseCallback;
	da_glfwSetWindowRefreshCallback glfwSetWindowRefreshCallback;
	da_glfwSetWindowFocusCallback glfwSetWindowFocusCallback;
	da_glfwSetWindowIconifyCallback glfwSetWindowIconifyCallback;
	da_glfwSetFramebufferSizeCallback glfwSetFramebufferSizeCallback;
	da_glfwPollEvents glfwPollEvents;
	da_glfwWaitEvents glfwWaitEvents;
	da_glfwPostEmptyEvent glfwPostEmptyEvent;
	da_glfwGetInputMode glfwGetInputMode;
	da_glfwSetInputMode glfwSetInputMode;
	da_glfwGetKey glfwGetKey;
	da_glfwGetMouseButton glfwGetMouseButton;
	da_glfwGetCursorPos glfwGetCursorPos;
	da_glfwSetCursorPos glfwSetCursorPos;
	da_glfwCreateCursor glfwCreateCursor;
	da_glfwCreateStandardCursor glfwCreateStandardCursor;
	da_glfwDestroyCursor glfwDestroyCursor;
	da_glfwSetCursor glfwSetCursor;
	da_glfwSetKeyCallback glfwSetKeyCallback;
	da_glfwSetCharCallback glfwSetCharCallback;
	da_glfwSetCharModsCallback glfwSetCharModsCallback;
	da_glfwSetMouseButtonCallback glfwSetMouseButtonCallback;
	da_glfwSetCursorPosCallback glfwSetCursorPosCallback;
	da_glfwSetCursorEnterCallback glfwSetCursorEnterCallback;
	da_glfwSetScrollCallback glfwSetScrollCallback;
	da_glfwSetDropCallback glfwSetDropCallback;
	da_glfwJoystickPresent glfwJoystickPresent;
	da_glfwGetJoystickAxes glfwGetJoystickAxes;
	da_glfwGetJoystickButtons glfwGetJoystickButtons;
	da_glfwGetJoystickName glfwGetJoystickName;
	da_glfwSetClipboardString glfwSetClipboardString;
	da_glfwGetClipboardString glfwGetClipboardString;
	da_glfwGetTime glfwGetTime;
	da_glfwSetTime glfwSetTime;
	da_glfwMakeContextCurrent glfwMakeContextCurrent;
	da_glfwGetCurrentContext glfwGetCurrentContext;
	da_glfwSwapBuffers glfwSwapBuffers;
	da_glfwSwapInterval glfwSwapInterval;
	da_glfwExtensionSupported glfwExtensionSupported;
	da_glfwGetProcAddress glfwGetProcAddress;
}
class DerelictGLFW3Loader : SharedLibLoader
{
	public this();
	protected override void loadSymbols();
}
__gshared DerelictGLFW3Loader DerelictGLFW3;
shared static this();
